%global momorel 1
%global kaffeine_mozver 0.2
%global moz_plugindir %{_libdir}/mozilla/plugins
%global firefox_plugindir %{_libdir}/firefox/plugins
%global xinever 1.1.2
%global gstreamerver 0.8.12
%global gst_pluginsver 0.8.12
%global artsver 1.5.4
%global artsrel 1m
%global qtver 3.3.5
%global kdever 3.5.4
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A xine-based Media Player for KDE3
Name: kaffeine
Version: 0.8.2
Release: %{momorel}m
License: GPL
URL: http://kaffeine.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/kaffeine/%{name}-%{version}.tar.bz2 bfb57b62fa72267cc5b01ce9b037cb41
%NoSource 1 http://dl.sourceforge.net/sourceforge/kaffeine/%{name}-mozilla-%{kaffeine_mozver}.tar.bz2 c7bb24cbd20fdfeffbb0da452533cac4
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: xine-lib >= %{xinever}, gst-plugins-additional >= %{gst_pluginsver}
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}-%{artsrel}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: xine-lib >= %{xinever}
BuildPreReq: gstreamer-devel >= %{gstreamerver}
BuildPreReq: gst-plugins-devel >= %{gst_pluginsver}
BuildPreReq: libogg-devel, libvorbis-devel, lame-devel >= 3.96.1-4m
BuildPreReq: gettext, libart_lgpl-devel
BuildPreReq: libpng-devel, libjpeg-devel, zlib-devel

%description
Kaffeine is a xine-based Media Player for KDE3.

%package mozilla-plugin
Summary: A Mozilla plugin using kaffeine for audio/video playback.
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Requires: mozilla

%description mozilla-plugin
kaffeine-mozilla-plugin provides multimedia capabilities to Mozilla
or compatible browsers using kaffeine.

%package firefox-plugin
Summary: A Firefox plugin using kaffeine for audio/video playback.
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Requires: firefox

%description firefox-plugin
kaffeine-firefox-plugin provides multimedia capabilities to Firefox
or compatible browsers using kaffeine.

%prep
# clean up mozilla-plugin
rm -rf %{_builddir}/%{name}-mozilla-%{kaffeine_mozver}

%setup -q -b 1

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--mandir=%{_mandir} \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

# build mozilla-plugin
cd %{_builddir}/%{name}-mozilla-%{kaffeine_mozver}

CFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix}

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install mozilla-plugin
cd %{_builddir}/%{name}-mozilla-%{kaffeine_mozver}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_libdir}/kaffeineplugin
mv %{buildroot}%{_prefix}/plugins/* %{buildroot}%{_libdir}/kaffeineplugin/
rm -rf %{buildroot}%{_prefix}/plugins

# link mozilla-plugin
mkdir -p %{buildroot}%{moz_plugindir}
ln -sf ../../kaffeineplugin/kaffeineplugin.so %{buildroot}%{moz_plugindir}/kaffeineplugin.so

# link firefox-plugin
mkdir -p %{buildroot}%{firefox_plugindir}
ln -sf ../../kaffeineplugin/kaffeineplugin.so %{buildroot}%{firefox_plugindir}/kaffeineplugin.so

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kaffeine.png %{buildroot}%{_datadir}/pixmaps/kaffeine.png

# conflicts with kdelibs-3.5.4
rm -f %{buildroot}%{_datadir}/mimelnk/application/x-mplayer2.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kaffeine
%{_includedir}/kaffeine
%{_includedir}/kaffeine_export.h
%{_libdir}/kaffeineplugin
%{_libdir}/kde3/libgstreamerpart.la
%{_libdir}/kde3/libgstreamerpart.so
%{_libdir}/kde3/libkaffeinemp3lame.la
%{_libdir}/kde3/libkaffeinemp3lame.so
%{_libdir}/kde3/libkaffeineoggvorbis.la
%{_libdir}/kde3/libkaffeineoggvorbis.so
%{_libdir}/kde3/libxinepart.la
%{_libdir}/kde3/libxinepart.so
%{_libdir}/libkaffeineaudioencoder.la
%{_libdir}/libkaffeineaudioencoder.so*
%{_libdir}/libkaffeinedvbplugin.la
%{_libdir}/libkaffeinedvbplugin.so*
%{_libdir}/libkaffeinepart.la
%{_libdir}/libkaffeinepart.so*
%{_datadir}/applications/kde/kaffeine.desktop
%{_datadir}/apps/gstreamerpart
%{_datadir}/apps/kaffeine
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/profiles/kaffeine.profile.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/doc/HTML/*/kaffeine
%{_datadir}/locale/*/LC_MESSAGES/kaffeine.mo
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/pixmaps/kaffeine.png
%{_datadir}/services/gstreamer_part.desktop
%{_datadir}/services/kaffeinemp3lame.desktop
%{_datadir}/services/kaffeineoggvorbis.desktop
%{_datadir}/services/xine_part.desktop
%{_datadir}/servicetypes/kaffeineaudioencoder.desktop
%{_datadir}/servicetypes/kaffeinedvbplugin.desktop

%files mozilla-plugin
%defattr(-,root,root)
%{moz_plugindir}/kaffeineplugin.so

%files firefox-plugin
%defattr(-,root,root)
%{firefox_plugindir}/kaffeineplugin.so

%changelog
* Sat Sep  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-1m)
- version 0.8.2
- remove merged 64bit-fix.patch

* Thu Aug  3 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2-0.1.4m)
- add BuildPreReq: lame-devel >= 3.96.1-4m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.3m)
- remove x-mplayer2.desktop for KDE 3.5.4

* Thu May 18 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.8.2-0.1.2m)
- add patch0: kaffeine-0.8.2-beta1-64bit-fix.patch

* Sun Apr 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.1m)
- update to version 0.8.2-beta1

* Mon Apr  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- version 0.8.1

* Mon Mar 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- version 0.8

* Tue Feb 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-5m)
- add a package kaffeine-firefox-plugin

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-4m)
- modify %%prep (clean up kaffeine-mozilla-plugin)
- add --enable-new-ldflags to configure

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-3m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-2m)
- add --disable-rpath to configure

* Thu Sep  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-1m)
- version 0.7.1
- remove fix-copy-desktop-file.patch

* Mon Aug  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-1m)
- version 0.7

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-4m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Fri Mar 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-3m)
- mozilla-plugin Requires: mozilla = %%{mozver} -> mozilla

* Thu Mar 24 2005 Toru Hoshina <t@momonga-linux.org>
- (0.6-2m)
- rebuild against mozilla-1.7.6
- install to {_libdir}/mozilla/plugins.

* Mon Mar 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-1m)
- version 0.6

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.5-3m)
- enable x86_64.

* Sat Dec 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-2m)
- rebuild against mozilla-1.7.5

* Fri Dec 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- version 0.5
- remove kaffeine-0.5-first-run-wizard.patch
- add kaffeine-0.5-fix-copy-desktop-file.patch
- BuildPreReq: XFree86-devel -> xorg-x11-devel

* Sat Nov  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-0.2.1m)
- update to 0.5-rc2
- update first-run-wizard.patch

* Tue Oct  5 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-0.1.1m)
- update to version 0.5-rc1
- update first-run-wizard.patch
- remove kaffeine-0.4.3b-m3u.patch.bz2

* Fri Oct  1 2004 Hiroyuki koga <kuma@momonga-linux.org>
- (0.4.3b-5m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Oct  1 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-4m)
- remove createDesktopIcon from first-run wizard

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-3m)
- rebuild against KDE 3.3.0
- move desktop file from %%{_datadir}/applnk to %%{_datadir}/applications/kde
- BuildPreReq: desktop-file-utils
- add %%{_datadir}/pixmaps/kaffeine.png for GNOME

* Thu Sep 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-2m)
- rebuild against mozilla-1.7.3

* Sun Aug 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-1m)
- update to 0.4.3b
- import kaffeine-0.4.3b-m3u.patch.bz2 from cooker
- add man files
- add %%post and %%postun sections
- BuildPreReq: XFree86-devel, zlib-devel
- add a package kaffeine-mozilla-plugin
- change URL
- s/%%define/%%global/g

* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.1-2m)
- revised spec for enabling rpm 4.2.

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1
- rebuild against KDE 3.2.0

* Sat Jan 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.0-1m)
- ver up to 0.4.0

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (0.3.2-4m)
- rebuild against for qt-3.2.2

* Thu Sep 25 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-3m)
- clean up specfile
- use ./configure
- add --disable-debug flag

* Mon Sep  1 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-2m)
- revise %%files section

* Sun Aug 31 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- import from Suzuka

* Wed Aug 13 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- added ja.po.

* Tue Aug 12 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- First build.
